手动指定eclipse的jdk路径

手动指定eclipse的jdk路径
最近遇到个很尴尬的问题,powerdesign在连接db2时只能使用32位jdk,而我的系统里环境变量里配的是64位jdk,powerdesign这点上比较弱智,不能指定它引用的jdk的版本,它只会从环境变量里找,没办法,只能从eclipse上下手了(myeclipse在这点上是比eclipse要灵活,至少jdk目录是可以指定的) 1、打开eclipse安装目录 2、打开eclipse.ini文件,添加红字部分内容,具体路径为你的64位jdk路径 ......(文件前面...

Eclipse如何把Dynamic Web Project转成maven项目

Eclipse如何把Dynamic Web Project转成maven项目
最近在eclipse中把Dynamic Web Project项目转成maven项目的时候遇到不少问题,这里做一下笔记: 1、首先右键项目Configure->Convert to Maven Project...将当前项目转成maven项目结构 2、备份一下原项目,然后删除原项目src目录,新建如下几个目录,src/main/java、src/main/resources、src/test/java、src/test/resources、src/main/webapp。 3、右键项目->Maven->Update Project...更新Maven项...

Eclipse中设置和取消egit项目的操作方法

Eclipse中设置和取消egit项目的操作方法
将普通项目设置为egit共享项目: 项目右键->Team->Share Project->Git(点击Next)->勾选Use or create repository in parent folder of project->Create Repository->勾选创建的repository->Finish,创建完成。 将egit项目恢复为普通项目: 项目右键->Team->Disconnect,操作完成。

Java compiler level does not match the version of the installed Java project facet.

Java compiler level does not match the version of the installed Java project facet.
Java compiler level does not match the version of the installed Java project facet. 项目报这个错的时候,原因是java编译级别与工程设置的版本不一致,例如你是jdk1.7却选择了jdk1.5版本这样就会报错。 解决办法: 项目右键Properties ->Java compiler->Compiler compliance level修改为你当前的jdk版本。 Properties ->Project Facets->Java 版本选为你当前的版本

Unbound classpath container: ‘JRE System Library [jdk1.6.0_43]’ in project ‘*****’

Unbound classpath container: ‘JRE System Library [jdk1.6.0_43]’ in project ‘*****’
Unbound classpath container: 'JRE System Library [jdk1.6.0_43]' in project '*****' 常见eclipse项目错误,原因是导入的项目jdk与eclipse配置的jdk版本不对应。 解决办法:右键项目->Properties->Java Build Path->Libraries,双击打红叉的lib,选中Workspace default JRE(***),如图 点击Finish,刷新项目后问题解决。

The web module at the following location cannot be found: ***

The web module at the following location cannot be found: ***
The web module at the following location cannot be found:*** 开发的时候遇到这个问题,启动tomcat的时候总是报错提示启动失败,后面发现原来是一个maven项目影响了tomcat,maven项目一般是不能直接从tomcat启动的,本人误将项目添加到tomcat启动列表中,在module中没有移除。 解决办法:打开Window -> Show View -> Servers,双击tomcat,选择页面下方的 Modules选项卡,在Configure the Web Mod...

The current branch is not configured for pull No value for key branch.master.merge found in configuration

The current branch is not configured for pull No value for key branch.master.merge found in configuration
碰到egit报错:The current branch is not configured for pull No value for key branch.master.merge found in configuration,在网上查发现网友的文章内容不全面,仍然解决不了问题,之后发现一篇英文文章,仔细阅读终于解决问题,鉴于看英文太幸苦,本人翻译成中文版的,内容如下: 要解决这个问题,首先在eclipse中打开egit视图:window->Show View -> Other -> Git Repositories 在对应的...

Eclipse安装及使用github

Eclipse安装及使用github
1、安装github:help->install New Software...->Add->Name任意粘贴安装地址,http://download.eclipse.org/egit/updates->ok 2、在https://github.com上注册一个帐号,主要有用户名和邮箱两部分,后面要用到。 3、Window->Preferences > Team > Git > Configuration->Add Entry...增加两个键值对,key:user.name,value:你在github注册的用户名;key:user.email,value:你...

解决“HttpServletRequest cannot be resolved to a type”报错

导入工程的时候,有时会出现“HttpServletRequest cannot be resolved to a type”这样的错误,引起这个错误的原因通常是因为工程没有配置tomcat服务器,解决的办法如下: 右键工程->properties->Targeted Runtimes->勾选对应的tomcat服务器,问题解决。 正常情况下,工程中会出现你添加的tomcat服务器
Copyright © 大师级 保留所有权利.   Theme  大师级 桂ICP备14003638号

用户登录

分享到: